# Uses of Class
javax.swing.plaf.synth.SynthPainter

Packages that use SynthPainter
Package
Description
javax.swing.plaf.nimbus
Provides user interface objects built according to the cross-platform Nimbus look and feel.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of SynthPainter in javax.swing.plaf.nimbus

Methods in javax.swing.plaf.nimbus that return SynthPainter
Modifier and Type
Method
Description
`SynthPainter`
NimbusStyle.`getPainter​(SynthContext ctx)`
Returns the `SynthPainter` that will be used for painting.

## Uses of SynthPainter in javax.swing.plaf.synth

Methods in javax.swing.plaf.synth that return SynthPainter
Modifier and Type
Method
Description
`SynthPainter`
SynthStyle.`getPainter​(SynthContext context)`
Returns the `SynthPainter` that will be used for painting.